/******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 3)
/******************************************************************************/
(use "controls")
(use "cycle")
(use "door")
(use "feature")
(use "game")
(use "inv")
(use "main")
(use "obj")
(use "wander")
/******************************************************************************/
(instance public rm003 of Rm
	(properties
		picture scriptNumber
		north 0
		east 4
		south 0
		west 1
	)
	(method (init)
		(super:init())
        (aDoor:init())
        (aMan:
            init()
            setCycle(Walk)
            setMotion(Wander)
        )
		(self:setScript(RoomScript))
        (switch(gPreviousRoomNumber)
        (case 1
            (send gEgo:
                posn(20 180)
                loop(0)
            )
        )
        (case 23
            (send gEgo:
                posn(155 185)
                loop(2)
            )
        )
        (case 4
            (send gEgo:
                posn(270 180)
                loop(1)
            )
        )
        )
		SetUpEgo()
		(send gEgo:init())
	)
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)
        (method (handleEvent pEvent)
        (super:handleEvent(pEvent))
        (if(Said('open/door'))
            (aDoor:open())
        )
        (if(Said('close/door'))
            (aDoor:close())
        )
        (if(Said('look>'))
            (if(Said('/man'))
                (send gRoom:newRoom(15))
            )(else
                (if(Said('/poster'))
                    Print("There is a Nails Cigarettes poster on the wall.")
            )(else
                )(if(Said('/window'))
                    Print("It looks like something is on sale.")
            )(else
                (if(Said('/sky'))
                    Print("The sky is clear, not a cloud in sight.")
            )(else
                (if(Said('/sidewalk'))
                    Print("The sidewalk looks pretty clean.")
            )(else
                (if(Said('/room'))
                    Print("You are outside RST Video.")
                    Print("You see a man wondering around named Brian.")
                )
                )
                )
                )
                )
        )
        (if(Said('talk/man'))
            Print("He wants you to look at him first.")
        )
        )
)
(instance aDoor of Door
  (properties
    y 157
    x 143
    view 11
    entranceTo 23
    locked FALSE
  )
)
(instance aMan of Act
  (properties
    y 170
    x 220
    view 6
  )
)
