/******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 6)
/******************************************************************************/
(use "controls")
(use "cycle")
(use "door")
(use "feature")
(use "game")
(use "inv")
(use "main")
(use "obj")
/******************************************************************************/
(instance public rm006 of Rm
	(properties
		picture scriptNumber
		north 0
		east 9
		south 0
		west 5
	)
	(method (init)
		(super:init())
		(self:setScript(RoomScript))
        (aDoor:init())
		(switch(gPreviousRoomNumber)
			(case 7
				(send gEgo:
					posn(102 154)
					loop(2)
				)
			)
            (case 5
                (send gEgo:
                    posn(20 180)
                    loop (0)
                )
            )
            (case 9
                (send gEgo:
                    posn(270 180)
                    loop(1)
                )
            )
		)
         (send gTheMusic:
			prevSignal(0)
			stop()
			number(9)
			loop(-1)
			play()
		)
		SetUpEgo()
		(send gEgo:init())
	)
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)
        (method (handleEvent pEvent)
        (super:handleEvent(pEvent))
        (if(Said('open/door'))
            (aDoor:open())
        )
        (if(Said('close/door'))
            (aDoor:close())
        )
        )
        )
/******************************************************************************/
(instance aDoor of Door
  (properties
    y 148
    x 106
    view 12
    entranceTo 7
    locked FALSE
  )
)
