/******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 15)
/******************************************************************************/
(use "controls")
(use "cycle")
(use "door")
(use "feature")
(use "game")
(use "inv")
(use "main")
(use "obj")
/******************************************************************************/
(instance public rm015 of Rm
	(properties
		picture scriptNumber
		north 0
		east 0
		south 0
		west 0
	)
	(method (init)
		(super:init())
		(self:setScript(RoomScript))
		(switch(gPreviousRoomNumber))
	)
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)
        (method (handleEvent pEvent)
        (super:handleEvent(pEvent))
        (if(Said('talk/man'))
          Print("Hello there! My pipes are cool!" #title "Jerry Says:")
          Print("I got glass pipes, metal pipes, and wooden pipes." #title "Jerry Says:")
          Print("I might give you one..." #title "Jerry Says:")
          Print("but I don't need any money.  I just want some, you know, white stuff." #title "Jerry Says:")
        )
        (if(Said('leave'))
            (send gRoom:newRoom(3))
        )
        (if(Said('back'))
            (send gRoom:newRoom(3))
        )
        (if(Said('give/soda'))
            (if(send gEgo:has(INV_SODA))
                Print("If I wanted baking soda I would just steal it!" #title "Jerry Says:")
            )(else
                Print("I don't know what you're babbling about!" #title "Jerry Says:")
            )
        )
        (if(Said('look>'))
          (if(Said('/man'))
            Print("Brian is smoking.")
            Print("It doesn't smell like weed though.  Too bad.")
          )(else
            (if(Said('/bat'))
                Print("That's weird.  Where did those bats come from?")
          )(else
            (if(Said('/glasses'))
              Print("You can see the reflection of your face and your chest.")
          )(else
            (if(Said('/face'))
                Print("Brian has glasses on and he's smoking a cancer stick.")
          )(else
            (if(Said('/nose'))
                Print("There's nothing wrong with Brian's nose.")
          )(else
            (if(Said('/neck'))
                Print("You must be trippin' pretty hard.  His neck looks twisted.")
          )(else
            (if(Said('/sky'))
                Print("The sky looks pretty crazy today.")
          )(else
            (if(Said('/mouth'))
                Print("His mouth has a cigarette in it.")
          )(else
            (if(Said('/cigarette'))
                Print("Brian is smoking a Nails cigarette.")
          )(else
            (if(Said('/teeth'))
                Print("It looks like his teeth are stained from chain smoking.")
          )(else
            (if(Said('/cactus'))
                Print("You can see a cactus in the distance.")
          )(else
            (if(Said('/room'))
                Print("You see a man smoking a cigarette.")
            )
            )
            )
            )
            )
            )
            )
            )
            )
            )
            )
          )
        )
        )
)
/******************************************************************************/
